Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ControllerViewsTools Class Reference

`#include <ControllerViewsTools.h>`

List of all members.

## Detailed Description

Views manager tools for Controller.

This class contain tools to use views in Controllers

## Static Public Member Functions

- static void createView (const std::string &name, Graph *graph, DataSet dataSet, QWidget *parent, std::string *createdViewName, View **createdView, QWidget **createdWidget)
- static void createMainView (Graph *graph, DataSet dataSet, QWidget *parent, View **createdView, QWidget **createdWidget)
- static void installInteractors (View *view, QToolBar *toolBar)
- static void changeInteractor (View *view, QToolBar *toolBar, QAction *action, QWidget **createdConfigurationWidget)
- static QWidget * getNoInteractorConfigurationWidget ()

## Member Function Documentation

static void tlp::ControllerViewsTools::changeInteractor | ( | View * | view,
|  | QToolBar * | toolBar,
|  | QAction * | action,
|  | QWidget ** | createdConfigurationWidget
| ) | `[static]`

| Change active interactor on toolBar Return configuration widget of this interactor in createdConfigurationWidget argument

static void tlp::ControllerViewsTools::createMainView | ( | Graph * | graph,
|  | DataSet | dataSet,
|  | QWidget * | parent,
|  | View ** | createdView,
|  | QWidget ** | createdWidget
| ) | `[static]`

| Create a Node Link Diagram Component view with given graph, given dataSet and set view's widget parent return created view and created widget in createdView and createdWidget

static void tlp::ControllerViewsTools::createView | ( | const std::string & | name,
|  | Graph * | graph,
|  | DataSet | dataSet,
|  | QWidget * | parent,
|  | std::string * | createdViewName,
|  | View ** | createdView,
|  | QWidget ** | createdWidget
| ) | `[static]`

| Create a view with given name, given graph, given dataSet and set view's widget parent if given name isn't be valid : return a new name in createViewName return created view and created widget in createdView and createdWidget

static QWidget* tlp::ControllerViewsTools::getNoInteractorConfigurationWidget | ( |  | ) | `[static]`

| Return a default interactor's configuration widget

static void tlp::ControllerViewsTools::installInteractors | ( | View * | view,
|  | QToolBar * | toolBar
| ) | `[static]`

| Install available interactors for given view in toolBar

Tulip Software by LaBRI Visualization Team 2001 - 2010